cURL
curl --request GET \
--url https://api.chartbrew.com/team/{team_id}/connections/{connection_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chartbrew.com/team/{team_id}/connections/{connection_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chartbrew.com/team/{team_id}/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"team_id": 123,
"project_ids": [
"<string>"
],
"oauth_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "mongodb",
"subType": "timescaledb",
"active": true,
"host": "<string>",
"dbName": "<string>",
"port": "<string>",
"username": "<string>",
"password": "<string>",
"srv": false,
"options": {},
"connectionString": "<string>",
"authentication": {
"type": "bearer_token",
"token": "<string>",
"user": "<string>",
"pass": "<string>"
},
"firebaseServiceAccount": {},
"ssl": false,
"sslMode": "require",
"sslCa": "<string>",
"sslCert": "<string>",
"sslKey": "<string>",
"schema": {}
}Connections
Get a connection
Get a connection by ID
GET
/
team
/
{team_id}
/
connections
/
{connection_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Connection details
Available options:
mongodb, api, mysql, postgres, realtimedb, firestore, googleAnalytics, customerio Used for connections based on main types
Available options:
timescaledb, supabasedb, rdsPostgres, rdsMysql, api, mongodb, api, mysql, postgres, realtimedb, firestore, googleAnalytics, customerio Used for MongoDB, Postgres, and MySQL connections
Used for API connections
Show child attributes
Show child attributes
JSON object containing the Firebase service account credentials